package com.marvinelsen.willow.ui.util

import com.marvinelsen.willow.WillowApplication
import com.marvinelsen.willow.ui.DictionaryEntryFx
import javafx.event.EventHandler
import javafx.scene.control.ContextMenu
import javafx.scene.control.MenuItem

fun createContextMenuForEntry(entry: DictionaryEntryFx) = ContextMenu().apply {
    val menuItemCopyHeadword =
        MenuItem(WillowApplication.resourceBundle.getString("menubar.edit.copy.headword")).apply {
            onAction = EventHandler { ClipboardHelper.copyHeadword(entry) }
        }

    val menuItemCopyPronunciation =
        MenuItem(WillowApplication.resourceBundle.getString("menubar.edit.copy.pronunciation")).apply {
            onAction = EventHandler { ClipboardHelper.copyPronunciation(entry) }
        }

    items.addAll(menuItemCopyHeadword, menuItemCopyPronunciation)
}
